enum OrdType { asc, desc }

class ColumnOrdenator {
  final String name;
  final OrdType ordType;

  ColumnOrdenator(this.name, [this.ordType = OrdType.asc]);
  @override
  String toString() {
    return '$name ${ordType.toString().replaceFirst('OrdType.', '').toUpperCase()}';
  }
}

class GenericOrderBy {
  final _ordernators = <ColumnOrdenator>[];

  void add(ColumnOrdenator ord) => _ordernators.add(ord);

  @override
  String toString() {
    if (_ordernators.isNotEmpty) {
      var cols = '';
      _ordernators.forEach((element) {
        cols += ', ' + element.toString();
      });

      return 'ORDER BY ${cols.replaceFirst(', ', '')}';
    } else {
      return '';
    }
  }
}
